GWT 2.7.0

## com.google.gwt.aria.client
Class Id

    java.lang.Object
      com.google.gwt.aria.client.Id

All Implemented Interfaces:
  AriaAttributeType

    public class Id

extends java.lang.Object
implements AriaAttributeType

Id reference attribute type

Method Summary
`java.lang.String` | `getAriaValue()`
`static Id` | `of(Element element)` Creates an Id instance for the `element` by getting the element 'id' attribute.
`static Id` | `of(java.lang.String elementId)` Creates an Id instance from the `elementId`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### of

    public static Id of(Element element)

  Creates an Id instance for the `element` by getting the element 'id' attribute.

  Parameters:
    `element` - A DOM element which should have a non empty, unique 'id' attribute set.

### of

    public static Id of(java.lang.String elementId)

  Creates an Id instance from the `elementId`.

  Parameters:
    `elementId` - A string identifier that should correspond to the 'id' attribute value of a DOM element.

### getAriaValue

    public java.lang.String getAriaValue()

  Specified by:
    `getAriaValue` in interface `AriaAttributeType`

GWT 2.7.0